<app-nav></app-nav>

<div class="container">
  <div style="border:skyblue; border-style:double; border-radius: 10px; margin: 1%;">
    <span class="header " style="text-align: center;"><i class="fas fa-book"></i></span>
    <legend class="header display-4 " style="text-align: center;">Add Books</legend>
    <div class="form" style="margin:1% ;">
      <form [formGroup]="addBook"  (ngSubmit)="onAddBook(addBook.value)">
      <div class="form-content">
        <div class="row">
          <div class="col-md-6">

            <div class="form-group">
              <span class="form-group"><i class="fas fa-atlas  bigicon"></i></span>
              <input type="titulo" class="form-control" placeholder="Titulo *" 
              value="" #titulo required formControlName="titulo"/>
            </div>

            <div class="form-group">
              <span class="form-group"><i class="fas fa-copyright bigicon"></i></span>
              <input id="isbn" name="isbn" type="text" placeholder="Isbn" class="form-control"
              formControlName="isbn" >
            </div>

            <div class="form-group">
              <span class="form-group"><i class="fas fa-book-open bigicon"></i></span>
              <input id="isbn" name="edicion" type="text" placeholder="Edicion" class="form-control" formControlName="edicion">
            </div>
          </div>

          <div class="col-md-6">

            <div class="form-group">
              <span class="form-group"><i class="fa fa-user bigicon"></i></span>
              <input id="autor" name="autor" type="text" placeholder="Autor*" class="form-control" #autor required formControlName="autor" />
            </div>


            <div class="form-group">
              <span class="form-group"><i class="fas fa-file-image bigicon"></i></span>
              <input id="isbn" name="imagen" type="url" placeholder="Imagen*" class="form-control" #imagen required formControlName="imagen">
            </div>

            <div class="form-group">
              <span class="form-group"><i class="fas fa-comment bigicon"></i></span>
              <textarea class="form-control" id="resumen" name="resumen" placeholder="Ingresa resumen del libro" formControlName="resumen"
                rows="4"></textarea>
            </div>
          </div>
        </div>

        <div class="" style="text-align: center;">
          <button type="submit" class="btn btn-primary btnSubmit">Add Book</button>
          <p></p>
          <button type="button" class="btn btn-primary btnreturn" [routerLink]="['/home']">Go back</button>
        </div>
      </div>
    </form>
    </div>
  </div>
</div>